Page MenuHomePhabricator

Requesting +2 rights for Mediawiki Group for DannyS712
Closed, ResolvedPublic

Assigned To
Authored By
WDoranWMF
May 14 2020, 7:13 PM
Tokens
"Like" token, awarded by Daimona."Like" token, awarded by matej_suchanek."Like" token, awarded by mmodell."Like" token, awarded by Tgr."Like" token, awarded by Addshore."Like" token, awarded by BPirkle."Like" token, awarded by MusikAnimal."Like" token, awarded by Quiddity."Like" token, awarded by Naike."Like" token, awarded by Clarakosi."100" token, awarded by nnikkhoui."Like" token, awarded by apaskulin."Barnstar" token, awarded by daniel."Like" token, awarded by Nikerabbit."Barnstar" token, awarded by QEDK."Love" token, awarded by Tulsi_Bhagat."Like" token, awarded by WMDE-leszek."Like" token, awarded by Urbanecm."Like" token, awarded by Niharika."Like" token, awarded by Majavah."Like" token, awarded by Bawolff."Like" token, awarded by MGChecker."Like" token, awarded by xSavitar."Like" token, awarded by CCicalese_WMF."Like" token, awarded by Jdforrester-WMF."Like" token, awarded by TheDJ."Like" token, awarded by Volker_E."Like" token, awarded by ssastry."Yellow Medal" token, awarded by RhinosF1."Like" token, awarded by sbassett."100" token, awarded by Kizule."Like" token, awarded by MarcoAurelio."Like" token, awarded by Aklapper.

Description

@DannyS712 has made invaluable contributions to furthering the work of improving MW and its extensions over the last 9 months. He has spent significant time working on both deprecation and refactoring work. He made conscious effort to engage with the Platform Engineering, kindly, following our processes and directly coordinating with us on work.

We would like to request +2 privileges for him for the mediawiki group to allow him to further contribute and support other volunteer developers. I'm including examples of his work:

+1s given
https://gerrit.wikimedia.org/r/#/q/label:Code-Review%253D%252B1%252Cuser%253DDannyS712+-owner:%2522DannyS712%2522
-1s given:
https://gerrit.wikimedia.org/r/#/q/label:Code-Review%253D-1%252Cuser%253DDannyS712+-owner:%2522DannyS712%2522
Comments given:
https://gerrit.wikimedia.org/r/#/q/commentby:%2522DannyS712%2522+-owner:%2522DannyS712%2522

Let me know if there are any additional details I can give or if we need to provide further supporting details.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 7:13 PM
Kizule added a subscriber: Kizule.May 14 2020, 7:23 PM

Finally, I can tell only that I have big support for this request!

But, if @DannyS712 wants this, sure. :)

I very much support this proposal.

QEDK added a subscriber: QEDK.EditedMay 14 2020, 8:04 PM

from me. He has also done great work helping people out (me, included).

I am happy to support @DannyS712.

@WDoranWMF At the time I am writting this message I do not see any announcement at our wikitech-l mailing list. Could you please announce this nomination over there as per our policy? Thanks!

An email to wikitech-l should be sent, according to https://www.mediawiki.org/wiki/Gerrit/Privilege_policy.

DannyS712 updated the task description. (Show Details)May 14 2020, 9:29 PM
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.

Based on @DannyS712's diligence, responsiveness, and responsibility during my last stint as a train conductor, I heartily support this request.

TheDJ awarded a token.May 14 2020, 9:53 PM

I support this request. @DannyS712 is doing an awesome job! 💥

QEDK awarded a token.May 15 2020, 1:36 PM
Naike awarded a token.May 15 2020, 5:44 PM
Tgr awarded a token.May 17 2020, 12:23 PM
Legoktm closed this task as Resolved.May 21 2020, 9:50 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

Done! Congratulations @DannyS712

Congratulations @DannyS712! 🎉

Done! Congratulations @DannyS712

Thanks, and thanks so much for everyone's support